/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
*/
/* 
    Created on : 22-Mar-2023, 20:11:46
    Author     : georg
*/
body{
    padding: 0;
    margin: 0;
    font-size: 14px;
    font-family: sans-serif, "Helvetica Neue", "Lucida Grande", Arial;
    font-stretch: expanded;
    font-weight: normal;
    font-stretch: expanded;
    line-height: 1.5;
    background-color: #eef2f8;
}
.wrapper{
    margin: 0;
    padding: 0;
    margin-left: max(260px, 17%);
    margin-right: max(20px, 2%);
    /*border-left: 1px solid #243763;*/
}
.mobile-nav-bar{
    padding: 1em;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
    font-size: 1.5em;
}
.icon-cont{
    display: inline-block;
    vertical-align: middle;
    width: 80%;
    margin: auto;
    text-align: center;
}
.icon{
    display: inline-block;
    vertical-align: middle;
    width: 25px;
    height: 25px;
    margin-top: -.2em;
    background-image: url('../images/blueicon.png');
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
}
.icon-text{
    display: inline-block;
    vertical-align: middle;
}
.icon-white{
    display: inline-block;
    vertical-align: middle;
    width: 25px;
    height: 25px;
    background-image: url('../images/whiteicon.png');
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
}







/*-------------Login--------------------*/
.loginPanel{
    width: 30%;
    padding: 2em;
    background-color: #fff;
    border-radius: 10px;
    margin: auto;
    margin-top: 3em;
}
.login-header{
    font-size: 2em;
    font-weight: bold;
}
.login-content{
    margin-top: 2em;
}
.login-content .txt{
    border-radius: 10px;
    padding: .9em 1em;
    font-size: 1.2em;
    background-color: #f7f7f7;
}
.login-content .btn{
    width: 100%;
    padding: 1em 0;
    background-color: #276896;
    /* font-variant-caps: all-petite-caps; */
}
.login-content .btn:hover{
    background-color: #6593b4;
}
/*-------------Login--------------------*/








.pg-icon{
    font-size: 4em;
}
.title-wrap .right{
    font-size: .6em;
}
.title{
    margin-top: 1.5em;
    margin-bottom: 1em;
    padding: .8em 1.5em;
    font-size: 1.8em;
    background-color: #fff;
    border-radius: 20px;
    font-weight: 500;
}
.sub-tit{
    font-size: .6em;
    margin-top: -.3em;
    color: #777;
}
.sub-title{
    margin-bottom: 1em;
    margin-top: -.3em;
}
.content{
    margin-bottom: 2em;
}
.cat-int{
    display: inline-block;
    padding: .3em 1em;
    font-size: .8em;
    margin-right: .5em;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 10px;
}
.cat-int:last-child{
    margin-right: 0;
}








/*.leftPanel{
    position: fixed;
    top: 0;
    bottom: 0;
    width: 15%;
    min-width: 220px;
    color: #333;
    background-color: #fff;
}
.logo{
    font-size: 1.8em;
    font-weight: bold;
    padding: 1em 15%;
}
.links{
    margin-top: .5em;
}
.link{
    padding: 1em 8%;
    margin: 0 12%;
    border-radius: 20px;
    color: #999;
    width: 60%;
    cursor: pointer;
}
.link-tit{
    padding: 1em 15%;
    font-weight: bold;
    font-size: .85em;
    color: #aaa;
    width: 70%;
    cursor: pointer;
}
.link:not(.link-selected):hover{
    background-color: #f7f9fc;
    color: #333;
}
.link i{
    margin-right: 1em;
    font-size: 1.2em;
}
.link-selected{
    background-color: #eef2f8;
    color: #333;
    font-weight: bold;
}*/
















.leftPanel{
    position: fixed;
    top: 0;
    bottom: 0;
    width: 15%;
    min-width: 220px;
    color: #fff;
    overflow: auto;
    /*color: #243763;*/
    background-color: #243763;
}
.logo{
    font-size: 1.8em;
    /* font-weight: bold; */
    padding: 1em 15%;
}
.links{
    padding-bottom: 5em;
}
.link{
    padding: 1em 8%;
    margin: 0 12%;
    /* margin-bottom: .5em; */
    border-radius: 20px;
    color: #d9e0f1;
    width: 60%;
    cursor: pointer;
}
.link-tit{
    padding: 1em 15%;
    /*font-weight: bold;*/
    font-size: .85em;
    color: #f0f2f9;
    width: 70%;
    cursor: pointer;
}
.link:not(.link-selected):hover{
    background-color: #a4b9d9;
    color: #1d2e48;
}
.link i{
    margin-right: 1em;
    font-size: 1.2em;
}
.link-selected{
    background-color: #f7f9fc;
    color: #333;
    font-weight: bold;
}
.left-bottom{
    position: absolute;
    bottom: 0;
    width: Calc(100% - 2em);
    padding: 1em;
    background-color: #1a68c5;
}









.pop-form{
    width: 30%;
    margin: 5% auto;
    padding: 1em 2em;
    font-size: 1.3em;
    position: relative;
    border-left: 10px solid #fff;
    border-radius: 10px;
    box-shadow:0 0 15px 5px #bbb;
    background-color: #eee;
    border-color: #555;
}
.pop-form-wide{
    width: 50% !important;
}
.pop-form-wider{
    width: 70% !important;
}
.pop-form-close{
    position: absolute;
    width: 35px;
    height: 30px;
    opacity: 0.5;
    border-width: 1px;
    border-style: solid;
    border-radius: 50%;
    right: 1em;
    top: 25px;
    text-align: center;
    padding-top: 4px;
    cursor: pointer;
}
.pop-form-scroll{
    height: 400px;
    overflow-y: auto;
}
.pop-form-content{
    margin-top: 1em;
    border-top: 1px solid #ddd;
    padding: 1em 0;
    font-size: .8em;
    width: 100%;
}
.pop-form-content .txt{
    font-size: 1em;
    border-radius: 0;
}
.pop-form-content .btn{
    background-color: #3d5da8;
    border: 1px solid #3d5da8;
    border-radius: 15px;
    color: #fff;
}
.pop-form-content .btn:hover{
    background-color: #fff;
    color: #3d5da8;
    border: 1px solid #777;
}
.val-text{
    font-size: 1.2em;
    color: #000;
}
.txt2{
    font-family: inherit;
    border: 1px solid #ddd;
    width: calc(90% - 2em);
    padding: .8em 1em;
    border-radius: 10px;
}



.nav-option{
    display: inline-block;
    margin-right: 2em;
    font-size: .8em;
    color: #777;
    cursor: pointer;
}
.nav-option:not(.optionSelected):hover{
    color: #333;
}
.optionSelected{
    font-weight: bold;
    color: #333 !important;
    cursor: default;
}
.card{
    border-radius: 20px;
    padding: 2em;
    background-color: #fff;
    margin-bottom: 2em;
}
.half-card{
    display: inline-block;
    vertical-align: top;
    border-radius: 15px;
    width: calc(48% - 4em);
    padding: 2em;
    background-color: #fff;
    margin-bottom: 2em;
}
.desc{
    margin-bottom: .35em;
}









.dash-sec-1{
    display: inline-block;
    vertical-align: top;
    /* width: 60%; */
    margin-right: 2%;
}
.dash-sec-2{
    display: inline-block;
    vertical-align: top;
    width: 37%;
}
.dash-box-1{
    display: inline-block;
    vertical-align: middle;
    padding: 1em 2em;
    /* width: calc(60% - 6em); */
    min-width: 230px;
    margin-bottom: 1em;
    background-color: #fff;
    border-radius: 20px;
    border: 1px solid #eee;
    -webkit-box-shadow: 2px 5px 3px -6px rgba(221,221,221,1);
    -moz-box-shadow: 2px 5px 3px -6px rgba(221,221,221,1);
    box-shadow: 2px 5px 3px -6px rgba(221,221,221,1);
    font-weight: bold;
}
.dash-lean{
    width: auto !important;
    min-width: auto !important;
}
.dash-wide{
    width: calc(100% - 4em) !important;
    min-width: auto !important;
}
.dash-box-title{
    /* width: 80%; */
    color: #999;
    /*margin-bottom: 1em;*/
}
.dash-box-num{
    font-size: 4em;
    line-height: 1.3em;
}
.dash-box-num i{
    font-size: .7em;
    margin-top: .4em;
}
.purple{
    color: #6666ff;
}
.dash-box-txt{
    font-size: 1.5em;
    margin-top: .2em;
}
.dash-box-perc{
    display: inline-block;
    background-color: #2fc51a;
    color: #fff;
    padding: .3em .5em;
    font-size: 1.2em;
    border-radius: 10px;
}













.d-tab{
    display: table;
    width: calc(100% - 2px) !important;
    background-color: #fff;
    border: 1px solid #eee;
    border-left: none;
    border-right: none;
}
.d-tab-header{
    font-size: 1.4em;
    margin-bottom: 1em;
}
.d-tab-title{
    float: left;
    font-weight: 500;
    color: #333;
}
.d-tab-options{
    float: right;
}
.d-tr{
    display: table-row;
    width: 100%;
    cursor: pointer;
}
.d-tr:hover{
    background-color: #f4f4f4;
}
.d-tr-static{
    background-color: #1a68c5 !important;
    color: #fff !important;
    font-weight: bold;
}
.d-tr-static:hover{
    background-color: #1a68c5 !important;
    color: #fff !important;
}
.d-tr-static .d-td{
    cursor: default;
}
.d-tr-selected{
    background-color: #ccdeef !important;
}
.d-tr-selected .d-td{
    border-bottom: 1px solid #fff !important;
}
.d-th{
    display: table-header-group;
    font-size: .85em;
    font-weight: bold;
    color: #aaa;
}
.d-th .d-td{
    border-bottom: 1px solid #eee;
}
.d-td{
    display: table-cell;
    padding: 1em 1em;
    border-top: 1px solid #ddd;
    border: none;
    margin: 0 !important;
}
.d-tr:nth-child(odd){
    background-color: #eee;
}
.btn{
    padding: .1em 1em;
    font-weight: 700;
    font-size: 1em;
    color: white;
    background-color: #842337;
    border: none;
    display: inline-block;
    cursor: pointer;
}
.btn2{
    padding: .8em 1.5em;
    font-size: 1em;
    color: white;
    background-color: #3d5da8;
    border: none;
    border-radius: 15px;
    display: inline-block;
    cursor: pointer;
}
.modebtn {
    /*box-shadow: 0px 0px 0px 2px #e4e9f5;*/
    /*background:linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);*/
    /*background-color:#ffffff;*/
    border: 1px solid #ddd;
    display: inline-block;
    cursor: pointer;
    color: #666;
    font-size: 1em;
    padding: .5em 1.3em;
    border-radius: 10px;
    margin-right: .5em;
}
.modebtn:not(.modebtn-selected):hover {
    background-color:#f7f9fc;
    border-color: #f7f9fc;
}
.modebtn:not(.modebtn-selected):active {
    position:relative;
    top:1px;
}
.modebtn-selected{
    background-color:#fff;
    border-color: #fff;
    color: #333;
}
select[disabled]{
    background-color: #fff !important;
    border: none !important;
    color: #999 !important;
    cursor: default;
}
.btn2-alt{
    border: none !important;
    background-color: #b6c7e1;
    /*background-color: #fff;*/
    color: #333 !important;
    font-weight: bold;
}
.srchtxt{
    background-color: #eef2f8;
    border-radius: 10px;
    font-size: .7em;
    border: none;
    /* width: 200px; */
    padding: .7em 1em;
}
.btn3{
    display: inline-block;
    vertical-align: middle;
    font-size: 1em;
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: .5em 1em;
    color: #777;
    cursor: pointer;
}
.btn3:hover{
    background-color: #b6c7e1;
    border-color: #b6c7e1;
    color: #333;
}
.btn3-alt{
    background-color: #333;
    border: 1px solid #333;
    color: #fff;
}
.btn3-alt:hover{
    background-color: #fff;
    border-color: #ddd;
    color: #333;
}
.alert{
    width: 40%;
    margin: 10% auto;
    padding: 1em 2em;
    font-size: 1.3em;
    position: relative;
    border-left: 10px solid #fff;
    border-radius: 10px;
    box-shadow:0 0 15px 5px #bbb;
}
.simple-alert{
    background-color: #eee;
    border-color: #555;
}
.success-alert{
    background-color: #cdefcb;
    border-color: #238462;
}
.danger-alert{
    background-color: #efcbd0;
    border-color: #842337;
}
.warning-alert{
    background-color: #efefcb;
    border-color: #9f9012;
}
.close{
    position: absolute;
    width: 35px;
    height: 30px;
    opacity: 0.5;
    border-width: 1px;
    border-style: solid;
    border-radius: 50%;
    right: 1em;
    top: calc(50% - 20px);
    text-align: center;
    padding-top: 4px;
    cursor: pointer;
}
.spinner{
    position: absolute;
    width: 60px;
    height: 60px;
    right: 1em;
    top: calc(50% - 30px);
    background-image: url("../images/spin.svg");
    background-position: center;
    background-size: 100%;
    background-repeat: no-repeat;
    animation: spin 1.5s normal infinite;
}
.category_data{
    max-height: 50px;
    overflow-y: auto;
}
.bubble{
    display: inline-block;
    border-radius: 20px;
    border: 1px solid #999;
    background-color: #fff;
    max-width: 70%;
    padding: .5em 1em;
}





.list-item{
    padding: .8em 1em;
    margin-bottom: .5em;
    background-color: #fff;
    /*border: 1px solid #dcdcdc;*/
    border-radius: 10px;
    overflow: auto;
    cursor: pointer;
}
.list-item .li{
    display: inline-block;
    vertical-align: middle;
    margin-right: 2em;
}
.list-item:hover{
    background-color: #f4f6fa;
}
.li-cat{
    padding: .4em .7em;
    width: calc(9% - 3.4em);
    font-weight: bold;
    text-align: center;
    min-width: 70px;
    font-size: .85em;
    border-radius: 10px;
    background-color: #b9c5de;
    color: #343c4a;
}
.li-cat-shopping{
    background-color: #b9decf;
    color: #285744;
}
.li-cat-laundry{
    background-color: #ded8b9;
    color: #564f29;
}
.li-cat-auto-services{
    background-color: #deb9b9;
    color: #4a3434;
}
.li-cat-draft{
    background-color: #ddd;
    color: #333;
}

.li-desc{
    width: calc(42% - 2em);
    min-width: 170px;
    overflow: auto;
}
.li-location{
    color: #777;
    width: calc(15% - 2em);
    min-width: 70px;
}
.li-price{
    width: calc(9% - 2em);
    text-align: right;
    font-weight: bold;
    color: #842337;
}
.li-status{
    padding: .2em .7em;
    width: calc(8% - 1.4em);
    margin-right: 0 !important;
    text-align: left;
    color: #333;
    min-width: 40px;
    font-size: .85em;
    font-weight: bold;
    border: 1px dotted #ddd;
    border-radius: 15px;
}
.li-st-open{
    color: #3fa034;
}
.li-st-pending{
    color: #a08134;
}
.li-st-completed{
    color: #3451a0;
}
.li-st-cancelled{
    color: #a03434;
}
.ernd-bids{
    max-height: 300px;
    overflow: auto;
}
.hag-item{
    margin-bottom: .5em;
    padding-bottom: .5em;
    border-bottom: 1px solid #ddd;
}
.hag-item:last-child{
    margin-bottom: 0;
    padding-bottom: 0;;
    border-bottom: none;
}
.hag-item .hag-desc{
    width: 60%;
}

#toggle_pwd{
    position: absolute;
    right: 1.2em;
    top: .8em;
    padding: .5em;
    cursor: pointer;
    color: #AAA;
}
#toggle_pwd:hover{
    color: #555;
}

.d-tcl{
    cursor: pointer;
}
.d-tcl:hover{
    color: #333;
}
.live-user{
    cursor: pointer;
}
.live-user:hover{
    text-decoration: underline;
}
.otp-res{
    font-weight: bold;
    font-size: 1.8em;
    letter-spacing: 5px;
}
.cat-int{
    padding: .3em .8em;
    margin-right: 1em;
    margin-bottom: .7em;
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 20px;
    cursor: pointer;
}
.cat-int:hover{
    background-color: #f4f4f4;
}








@media screen and (max-device-width: 1400px) {
    body{
        font-size: .72em;
    }
}



@media screen and (max-device-width: 600px) {
    .wrapper{
        margin: 0 !important;
        padding: 0 !important;
        margin-left: 1em !important;
        margin-right: 1em !important;
    }
    .leftPanel{
        width: 80%;
        max-width: 300px;
        font-size: 1.2em;
    }
    .loginPanel{
        width: 70%;
    }
    .alert{
        width: 70%;
        margin: 30% auto;
    }
    .pop-form,
    .pop-form-wide,
    .pop-form-wider{
        width: 78% !important;
        margin: 30% auto;
    }
    .modebtn{
        margin-top: 1em;
    }
    .card{
        overflow: auto;
    }
    .d-tab-title{
        float: none;
        margin-bottom: .5em;
    }
    .d-tab-options{
        float: none;
        width: 100%;
        margin-top: 1em;
    }
    .half-card{
        width: calc(100% - 4em);
    }
    .dash-sec-1{
        width: calc(100% - 4em);
    }
    .dash-box-1{
        width: calc(100% - 4em);
    }
}